Bug 35200 - Mesa 7.6 implementation error: bad datatype in interpolate_int_colors
Summary: Mesa 7.6 implementation error: bad datatype in interpolate_int_colors
Status: RESOLVED WONTFIX
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: 7.6
Hardware: Other Linux (All)
: medium critical
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-11 01:11 UTC by Charles Obler
Modified: 2018-03-06 04:46 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Charles Obler 2011-03-11 01:11:12 UTC
+(
Mesa 7.6 implementation error: bad datatype in interpolate_int_colors
Please report at bugzilla.freedesktop.org
)+

These two messages have repeatedly filled up /var/log/gdm/:0.log, consuming all of the space on my root partition.

The voronoi screensaver was running at the time.  I was able to reproduce the problem twice, after a few minutes, by running voronoi in preview mode.

I'm running OpenSuSE 11.2, 2.6.31.14-0.6, with xfce 4.6.1.  /usr/sbin/gdm is dated 2010-09-15 17:12.  I have xscreensaver-5.08-3.1.i586

/usr/bin/xscreensaver is dated 2009-10-20 01:14

/usr/lib/xscreensaver/voronoi is dated 2009-10-20 01:16
Comment 1 Brian Paul 2011-03-11 07:14:19 UTC
I installed xscreensaver-gl-extras 5.12 and ran /usr/libexec/xscreensaver/voronoi directly and didn't see any warnings.  I tried 7.6 and current Mesa from git.

What does glxinfo say (in particular the OpenGL renderer string)?

Do you see the warnings if you run /usr/libexec/xscreensaver/voronoi directly?
Comment 2 Charles Obler 2011-03-12 00:14:45 UTC
Hello Brian --
When I run voronoi directly --
/usr/lib/xscreensaver/voronoi

I get a small black window, and, 30 seconds later, 135M of log messages in /var/log/gdm/:0.log .  I attempted to send the glxinfo -v -t report as an attachment, but my message was rejected by bugzilla, so I am sending it again, this time with the report in-line (below).

Thank you for your interest.  I wasn't sure whether or not to label this bug critical.  The bug BECOMES critical when there is no space left in the partition.  

I found voronoi by using a bash script to monitor the log and dump ps output when the log grows.  So far, voronoi is the only program causing the problem.  I have basically a clean unmodified system.

Charles Obler
glxinfo report:
name of display: :0.0
display: :0  screen: 0
direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method, 
    GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe, 
    GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig, GLX_MESA_copy_sub_buffer
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_EXT_texture_from_pixmap
OpenGL vendor string: Mesa Project
OpenGL renderer string: Software Rasterizer
OpenGL version string: 1.4 (2.1 Mesa 7.6)
OpenGL extensions:
    GL_ARB_depth_texture, GL_ARB_draw_buffers, GL_ARB_fragment_program, 
    GL_ARB_fragment_program_shadow, GL_ARB_imaging, GL_ARB_multisample, 
    GL_ARB_multitexture, GL_ARB_occlusion_query, GL_ARB_point_parameters, 
    GL_ARB_point_sprite, GL_ARB_shadow, GL_ARB_shadow_ambient, 
    GL_ARB_texture_border_clamp, GL_ARB_texture_compression, 
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add, 
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, 
    GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_non_power_of_two, GL_ARB_texture_rectangle, 
    GL_ARB_transpose_matrix, GL_ARB_vertex_program, GL_ARB_window_pos, 
    GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, 
    GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, 
    GL_EXT_blend_logic_op, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_copy_texture, GL_EXT_draw_range_elements, GL_EXT_fog_coord, 
    GL_EXT_framebuffer_object, GL_EXT_multi_draw_arrays, GL_EXT_packed_pixels, 
    GL_EXT_paletted_texture, GL_EXT_point_parameters, GL_EXT_polygon_offset, 
    GL_EXT_rescale_normal, GL_EXT_secondary_color, 
    GL_EXT_separate_specular_color, GL_EXT_shadow_funcs, 
    GL_EXT_shared_texture_palette, GL_EXT_stencil_two_side, 
    GL_EXT_stencil_wrap, GL_EXT_subtexture, GL_EXT_texture, GL_EXT_texture3D, 
    GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, 
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, 
    GL_EXT_texture_lod_bias, GL_EXT_texture_mirror_clamp, 
    GL_EXT_texture_object, GL_EXT_texture_rectangle, GL_EXT_vertex_array, 
    GL_3DFX_texture_compression_FXT1, GL_APPLE_packed_pixels, 
    GL_ATI_draw_buffers, GL_ATI_texture_env_combine3, 
    GL_ATI_texture_mirror_once, GL_ATIX_texture_env_combine3, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_MESA_pack_invert, GL_MESA_ycbcr_texture, GL_NV_blend_square, 
    GL_NV_fragment_program, GL_NV_light_max_exponent, GL_NV_point_sprite, 
    GL_NV_texgen_reflection, GL_NV_texture_env_combine4, 
    GL_NV_texture_rectangle, GL_NV_vertex_program, GL_NV_vertex_program1_1, 
    GL_SGI_color_matrix, GL_SGI_color_table, GL_SGIS_generate_mipmap, 
    GL_SGIS_texture_border_clamp, GL_SGIS_texture_edge_clamp, 
    GL_SGIS_texture_lod, GL_SGIX_shadow_ambient, GL_SUN_multi_draw_arrays
glu version: 1.3
glu extensions:
    GLU_EXT_nurbs_tessellator, GLU_EXT_object_space_tess

***
*** WARNING: Direct Rendering is NOT enabled
***


Vis  Vis   Visual Trans  buff lev render DB ste  r   g   b   a  aux dep ste  accum buffers  MS   MS
 ID Depth   Type  parent size el   type     reo sz  sz  sz  sz  buf th  ncl  r   g   b   a  num bufs
----------------------------------------------------------------------------------------------------
0x21 24 TrueColor    0     32  0  rgba   1   0   8   8   8   8   0   24  8   0   0   0   0   0   0
0x22 24 DirectColor  0     32  0  rgba   1   0   8   8   8   8   0   24  8   0   0   0   0   0   0
0xde 24 TrueColor    0     24  0  rgba   0   0   8   8   8   0   0    0  0   0   0   0   0   0   0
0xdf 24 TrueColor    0     24  0  rgba   0   0   8   8   8   0   0    0  0  16  16  16   0   0   0
0xe0 24 TrueColor    0     24  0  rgba   1   0   8   8   8   0   0    0  0   0   0   0   0   0   0
0xe1 24 TrueColor    0     24  0  rgba   1   0   8   8   8   0   0    0  0  16  16  16   0   0   0
0xe2 24 TrueColor    0     24  0  rgba   0   0   8   8   8   0   0    0  8   0   0   0   0   0   0
0xe3 24 TrueColor    0     24  0  rgba   0   0   8   8   8   0   0    0  8  16  16  16   0   0   0
0xe4 24 TrueColor    0     24  0  rgba   1   0   8   8   8   0   0    0  8   0   0   0   0   0   0
0xe5 24 TrueColor    0     24  0  rgba   1   0   8   8   8   0   0    0  8  16  16  16   0   0   0
0xe6 24 TrueColor    0     24  0  rgba   0   0   8   8   8   0   0   24  0   0   0   0   0   0   0
0xe7 24 TrueColor    0     24  0  rgba   0   0   8   8   8   0   0   24  0  16  16  16   0   0   0
0xe8 24 TrueColor    0     24  0  rgba   1   0   8   8   8   0   0   24  0   0   0   0   0   0   0
0xe9 24 TrueColor    0     24  0  rgba   1   0   8   8   8   0   0   24  0  16  16  16   0   0   0
0xea 24 TrueColor    0     24  0  rgba   0   0   8   8   8   0   0   24  8   0   0   0   0   0   0
0xeb 24 TrueColor    0     24  0  rgba   0   0   8   8   8   0   0   24  8  16  16  16   0   0   0
0xec 24 TrueColor    0     24  0  rgba   1   0   8   8   8   0   0   24  8   0   0   0   0   0   0
0xed 24 TrueColor    0     24  0  rgba   1   0   8   8   8   0   0   24  8  16  16  16   0   0   0
0xee 24 TrueColor    0     32  0  rgba   0   0   8   8   8   8   0    0  0   0   0   0   0   0   0
0xef 24 TrueColor    0     32  0  rgba   0   0   8   8   8   8   0    0  0  16  16  16  16   0   0
0xf0 24 TrueColor    0     32  0  rgba   1   0   8   8   8   8   0    0  0   0   0   0   0   0   0
0xf1 24 TrueColor    0     32  0  rgba   1   0   8   8   8   8   0    0  0  16  16  16  16   0   0
0xf2 24 TrueColor    0     32  0  rgba   0   0   8   8   8   8   0    0  8   0   0   0   0   0   0
0xf3 24 TrueColor    0     32  0  rgba   0   0   8   8   8   8   0    0  8  16  16  16  16   0   0
0xf4 24 TrueColor    0     32  0  rgba   1   0   8   8   8   8   0    0  8   0   0   0   0   0   0
0xf5 24 TrueColor    0     32  0  rgba   1   0   8   8   8   8   0    0  8  16  16  16  16   0   0
0xf6 24 TrueColor    0     32  0  rgba   0   0   8   8   8   8   0   24  0   0   0   0   0   0   0
0xf7 24 TrueColor    0     32  0  rgba   0   0   8   8   8   8   0   24  0  16  16  16  16   0   0
0xf8 24 TrueColor    0     32  0  rgba   1   0   8   8   8   8   0   24  0  16  16  16  16   0   0
0xf9 24 TrueColor    0     32  0  rgba   0   0   8   8   8   8   0   24  8   0   0   0   0   0   0
0xfa 24 TrueColor    0     32  0  rgba   0   0   8   8   8   8   0   24  8  16  16  16  16   0   0
0xfb 24 TrueColor    0     32  0  rgba   1   0   8   8   8   8   0   24  8  16  16  16  16   0   0
0xfc 24 DirectColor  0     24  0  rgba   0   0   8   8   8   0   0    0  0   0   0   0   0   0   0
0xfd 24 DirectColor  0     24  0  rgba   0   0   8   8   8   0   0    0  0  16  16  16   0   0   0
0xfe 24 DirectColor  0     24  0  rgba   1   0   8   8   8   0   0    0  0   0   0   0   0   0   0
0xff 24 DirectColor  0     24  0  rgba   1   0   8   8   8   0   0    0  0  16  16  16   0   0   0
0x100 24 DirectColor  0     24  0  rgba   0   0   8   8   8   0   0    0  8   0   0   0   0   0   0
0x101 24 DirectColor  0     24  0  rgba   0   0   8   8   8   0   0    0  8  16  16  16   0   0   0
0x102 24 DirectColor  0     24  0  rgba   1   0   8   8   8   0   0    0  8   0   0   0   0   0   0
0x103 24 DirectColor  0     24  0  rgba   1   0   8   8   8   0   0    0  8  16  16  16   0   0   0
0x104 24 DirectColor  0     24  0  rgba   0   0   8   8   8   0   0   24  0   0   0   0   0   0   0
0x105 24 DirectColor  0     24  0  rgba   0   0   8   8   8   0   0   24  0  16  16  16   0   0   0
0x106 24 DirectColor  0     24  0  rgba   1   0   8   8   8   0   0   24  0   0   0   0   0   0   0
0x107 24 DirectColor  0     24  0  rgba   1   0   8   8   8   0   0   24  0  16  16  16   0   0   0
0x108 24 DirectColor  0     24  0  rgba   0   0   8   8   8   0   0   24  8   0   0   0   0   0   0
0x109 24 DirectColor  0     24  0  rgba   0   0   8   8   8   0   0   24  8  16  16  16   0   0   0
0x10a 24 DirectColor  0     24  0  rgba   1   0   8   8   8   0   0   24  8   0   0   0   0   0   0
0x10b 24 DirectColor  0     24  0  rgba   1   0   8   8   8   0   0   24  8  16  16  16   0   0   0
0x10c 24 DirectColor  0     32  0  rgba   0   0   8   8   8   8   0    0  0   0   0   0   0   0   0
0x10d 24 DirectColor  0     32  0  rgba   0   0   8   8   8   8   0    0  0  16  16  16  16   0   0
0x10e 24 DirectColor  0     32  0  rgba   1   0   8   8   8   8   0    0  0   0   0   0   0   0   0
0x10f 24 DirectColor  0     32  0  rgba   1   0   8   8   8   8   0    0  0  16  16  16  16   0   0
0x110 24 DirectColor  0     32  0  rgba   0   0   8   8   8   8   0    0  8   0   0   0   0   0   0
0x111 24 DirectColor  0     32  0  rgba   0   0   8   8   8   8   0    0  8  16  16  16  16   0   0
0x112 24 DirectColor  0     32  0  rgba   1   0   8   8   8   8   0    0  8   0   0   0   0   0   0
0x113 24 DirectColor  0     32  0  rgba   1   0   8   8   8   8   0    0  8  16  16  16  16   0   0
0x114 24 DirectColor  0     32  0  rgba   0   0   8   8   8   8   0   24  0   0   0   0   0   0   0
0x115 24 DirectColor  0     32  0  rgba   0   0   8   8   8   8   0   24  0  16  16  16  16   0   0
0x116 24 DirectColor  0     32  0  rgba   1   0   8   8   8   8   0   24  0   0   0   0   0   0   0
0x117 24 DirectColor  0     32  0  rgba   1   0   8   8   8   8   0   24  0  16  16  16  16   0   0
0x118 24 DirectColor  0     32  0  rgba   0   0   8   8   8   8   0   24  8   0   0   0   0   0   0
0x119 24 DirectColor  0     32  0  rgba   0   0   8   8   8   8   0   24  8  16  16  16  16   0   0
0x11a 24 DirectColor  0     32  0  rgba   1   0   8   8   8   8   0   24  8  16  16  16  16   0   0
0x5d 32 TrueColor    0     32  0  rgba   1   0   8   8   8   8   0   24  0   0   0   0   0   0   0



--- On Fri, 3/11/11, bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org> wrote:

From: bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org>
Subject: [Bug 35200] Mesa 7.6 implementation error: bad datatype in interpolate_int_colors
To: ReadBetweenLines@yahoo.com
Received: Friday, March 11, 2011, 3:14 PM

https://bugs.freedesktop.org/show_bug.cgi?id=35200

--- Comment #1 from Brian Paul <brian.e.paul@gmail.com> 2011-03-11 07:14:19 PST ---
I installed xscreensaver-gl-extras 5.12 and ran
/usr/libexec/xscreensaver/voronoi directly and didn't see any warnings.  I
tried 7.6 and current Mesa from git.

What does glxinfo say (in particular the OpenGL renderer string)?

Do you see the warnings if you run /usr/libexec/xscreensaver/voronoi directly?
Comment 3 Brian Paul 2011-03-17 19:33:05 UTC
I still cant repro this bug here.  But with commit 582570a04c73bc304e16af63621b594e0fc39aea at most 50 of these errors will be emitted by Mesa.
Comment 4 Charles Obler 2011-03-18 11:24:19 UTC
Hello Paul --
Is there anything I can do to trace or further document the problem?
Have you looked at voronoi?  It may be calling Mesa repeatedly, with parameters that Mesa is unable to handle.  That might explain the large number of error messages.

--- On Fri, 3/18/11, bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org> wrote:

From: bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org>
Subject: [Bug 35200] Mesa 7.6 implementation error: bad datatype in interpolate_int_colors
To: ReadBetweenLines@yahoo.com
Received: Friday, March 18, 2011, 2:33 AM

https://bugs.freedesktop.org/show_bug.cgi?id=35200

--- Comment #3 from Brian Paul <brian.e.paul@gmail.com> 2011-03-17 19:33:05 PDT ---
I still cant repro this bug here.  But with commit
582570a04c73bc304e16af63621b594e0fc39aea at most 50 of these errors will be
emitted by Mesa.
Comment 5 Brian Paul 2011-03-18 11:47:38 UTC
The large number of warnings come from the fact that this issue is hit whenever a row of pixels is drawn.  That happens a lot.  If you could build Mesa with gdb and set a breakpoint on _mesa_problem() and print the offending value, that would help.  Or grab the latest code from git - the updated warning will emit more info.
Comment 6 Charles Obler 2011-03-18 19:04:05 UTC
Hello Paul --
I will need detailed step-by-step instructions here.  I'd like to be introduced to Linux development utilities -- make, gdb, etc. -- and Linux internals, but that hasn't happened yet.  I haven't done C++ in fifteen years (I'm a python / bash / javascript programmer).  I'm eager to cooperate and learn, as long as the test doesn't destabilize my system, but you will have to guide me.  

--- On Fri, 3/18/11, bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org> wrote:

From: bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org>
Subject: [Bug 35200] Mesa 7.6 implementation error: bad datatype in interpolate_int_colors
To: ReadBetweenLines@yahoo.com
Received: Friday, March 18, 2011, 6:47 PM

https://bugs.freedesktop.org/show_bug.cgi?id=35200

--- Comment #5 from Brian Paul <brian.e.paul@gmail.com> 2011-03-18 11:47:38 PDT ---
The large number of warnings come from the fact that this issue is hit whenever
a row of pixels is drawn.  That happens a lot.  If you could build Mesa with
gdb and set a breakpoint on _mesa_problem() and print the offending value, that
would help.  Or grab the latest code from git - the updated warning will emit
more info.
Comment 7 Brian Paul 2011-03-24 07:40:24 UTC
The website has instructions for building Mesa.  You may need to upgrade your libdrm too.  Sorry, I don't have time for detailed instructions.
Comment 8 Timothy Arceri 2018-03-06 04:46:11 UTC
If someone wants a software renderer the should use llvmpipe over swrast these days. Closing as won't fix (assuming it wasn't fixed at some stage over the years).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.